summaryrefslogtreecommitdiffstats
path: root/libraries/libvmime
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-05-13 00:58:59 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:59 +0200
commit61f7c1665a8ab4528eff371d5f16c2b68b11d0c1 (patch)
tree8987dc01e9fd0f06ff9972f245a4ab61e61a8712 /libraries/libvmime
parenteac700bacbf832b6899d0adeb6ef1ee4acb79967 (diff)
downloadslackbuilds-61f7c1665a8ab4528eff371d5f16c2b68b11d0c1.tar.gz
slackbuilds-61f7c1665a8ab4528eff371d5f16c2b68b11d0c1.tar.xz
libraries/libvmime: Added to 13.0 repository
Diffstat (limited to 'libraries/libvmime')
-rw-r--r--libraries/libvmime/README4
-rw-r--r--libraries/libvmime/flags.patch13
-rw-r--r--libraries/libvmime/gnutls-28.patch21
-rw-r--r--libraries/libvmime/libvmime.SlackBuild73
-rw-r--r--libraries/libvmime/libvmime.info10
-rw-r--r--libraries/libvmime/slack-desc19
6 files changed, 140 insertions, 0 deletions
diff --git a/libraries/libvmime/README b/libraries/libvmime/README
new file mode 100644
index 0000000000..19331bcf3c
--- /dev/null
+++ b/libraries/libvmime/README
@@ -0,0 +1,4 @@
+VMime is a free mail library for C++, an open-source solution for working
+with MIME messages and Internet messaging services like IMAP, POP or SMTP.
+
+This requires libgsasl.
diff --git a/libraries/libvmime/flags.patch b/libraries/libvmime/flags.patch
new file mode 100644
index 0000000000..a7032f3792
--- /dev/null
+++ b/libraries/libvmime/flags.patch
@@ -0,0 +1,13 @@
+--- libvmime-0.9.0_orig/configure 2008-10-19 10:36:19.000000000 -0200
++++ libvmime-0.9.0/configure 2009-12-17 09:17:29.000000000 -0200
+@@ -32224,8 +32224,8 @@
+ EXTRA_CFLAGS="$EXTRA_CFLAGS -D_REENTRANT=1 -D_THREAD_SAFE=1 $LIBGNUTLS_CFLAGS"
+ EXTRA_LIBS="$GSASL_LIBS $LIBGNUTLS_LIBS"
+
+-CFLAGS=""
+-CXXFLAGS=""
++#CFLAGS=""
++#CXXFLAGS=""
+
+ # -- Debug
+ if test x$VMIME_DEBUG = x1 ; then
diff --git a/libraries/libvmime/gnutls-28.patch b/libraries/libvmime/gnutls-28.patch
new file mode 100644
index 0000000000..d502868b92
--- /dev/null
+++ b/libraries/libvmime/gnutls-28.patch
@@ -0,0 +1,21 @@
+--- libvmime-0.9.0.orig/configure
++++ libvmime-0.9.0/configure
+@@ -30792,12 +30792,14 @@
+ { echo "$as_me:$LINENO: checking for libgnutls - version >= $min_libgnutls_version" >&5
+ echo $ECHO_N "checking for libgnutls - version >= $min_libgnutls_version... $ECHO_C" >&6; }
+ no_libgnutls=""
+- if test "$LIBGNUTLS_CONFIG" = "no" ; then
++# if test "$LIBGNUTLS_CONFIG" = "no" ; then
++ if [ ! $(pkg-config --modversion gnutls-extra 2> /dev/null) ]; then
+ no_libgnutls=yes
+ else
+- LIBGNUTLS_CFLAGS=`$LIBGNUTLS_CONFIG $libgnutls_config_args --cflags`
+- LIBGNUTLS_LIBS=`$LIBGNUTLS_CONFIG $libgnutls_config_args --libs`
+- libgnutls_config_version=`$LIBGNUTLS_CONFIG $libgnutls_config_args --version`
++ LIBGNUTLS_CONFIG=""
++ LIBGNUTLS_CFLAGS=`$LIBGNUTLS_CONFIG $libgnutls_config_args pkg-config --cflags gnutls-extra`
++ LIBGNUTLS_LIBS=`$LIBGNUTLS_CONFIG $libgnutls_config_args pkg-config --libs gnutls-extra`
++ libgnutls_config_version=`$LIBGNUTLS_CONFIG $libgnutls_config_args pkg-config --modversion gnutls-extra`
+
+
+ ac_save_CFLAGS="$CFLAGS"
diff --git a/libraries/libvmime/libvmime.SlackBuild b/libraries/libvmime/libvmime.SlackBuild
new file mode 100644
index 0000000000..207a3b4f28
--- /dev/null
+++ b/libraries/libvmime/libvmime.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for libvmime:
+# a library for working with MIME messages
+
+# Written by Niels Horn - niels.horn@gmail.com
+# revision date 2009/12/17
+
+PRGNAM=libvmime
+VERSION=0.9.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Patch "configure" to accept gnutls-2.8 (Security patch in Slackware 13.0)
+# (Based on: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=529834)
+patch -p1 < $CWD/gnutls-28.patch
+
+# Force "configure" to respect our CFLAGS / CXXFLAGS
+patch -p1 < $CWD/flags.patch
+
+CFLAGS=$SLKCFLAGS \
+CXXFLAGS=$SLKCFLAGS \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make docdir=/usr/doc/$PRGNAM-$VERSION
+make docdir=/usr/doc/$PRGNAM-$VERSION install DESTDIR=$PKG
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libvmime/libvmime.info b/libraries/libvmime/libvmime.info
new file mode 100644
index 0000000000..cdfb5f3b47
--- /dev/null
+++ b/libraries/libvmime/libvmime.info
@@ -0,0 +1,10 @@
+PRGNAM="libvmime"
+VERSION="0.9.0"
+HOMEPAGE="http://www.vmime.org/"
+DOWNLOAD="http://downloads.sourceforge.net/project/vmime/vmime/0.9/libvmime-0.9.0.tar.bz2"
+MD5SUM="23feb9cff7ba3961c0693926e21448cf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libvmime/slack-desc b/libraries/libvmime/slack-desc
new file mode 100644
index 0000000000..064f18aa43
--- /dev/null
+++ b/libraries/libvmime/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libvmime: libvmime (library for working with MIME messages)
+libvmime:
+libvmime: VMime is a free mail library for C++, an open-source solution for
+libvmime: working with MIME messages and Internet messaging services like IMAP,
+libvmime: POP or SMTP.
+libvmime:
+libvmime: http://www.vmime.org/
+libvmime:
+libvmime:
+libvmime:
+libvmime: